IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
2001:db8:0:0:4900::/72- First address
2001:db8:0:0:4900::- Last address
2001:db8::49ff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:4900:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
9.4.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:4900::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:4900::/80 | 2001:db8::4900:ffff:ffff:ffff |
| 2 | 2001:db8:0:0:4901::/80 | 2001:db8::4901:ffff:ffff:ffff |
| 3 | 2001:db8:0:0:4902::/80 | 2001:db8::4902:ffff:ffff:ffff |
| 4 | 2001:db8:0:0:4903::/80 | 2001:db8::4903:ffff:ffff:ffff |
| 5 | 2001:db8:0:0:4904::/80 | 2001:db8::4904:ffff:ffff:ffff |
| 6 | 2001:db8:0:0:4905::/80 | 2001:db8::4905:ffff:ffff:ffff |
| 7 | 2001:db8:0:0:4906::/80 | 2001:db8::4906:ffff:ffff:ffff |
| 8 | 2001:db8:0:0:4907::/80 | 2001:db8::4907:ffff:ffff:ffff |
| 9 | 2001:db8:0:0:4908::/80 | 2001:db8::4908:ffff:ffff:ffff |
| 10 | 2001:db8:0:0:4909::/80 | 2001:db8::4909:ffff:ffff:ffff |
| 11 | 2001:db8:0:0:490a::/80 | 2001:db8::490a:ffff:ffff:ffff |
| 12 | 2001:db8:0:0:490b::/80 | 2001:db8::490b:ffff:ffff:ffff |
| 13 | 2001:db8:0:0:490c::/80 | 2001:db8::490c:ffff:ffff:ffff |
| 14 | 2001:db8:0:0:490d::/80 | 2001:db8::490d:ffff:ffff:ffff |
| 15 | 2001:db8:0:0:490e::/80 | 2001:db8::490e:ffff:ffff:ffff |
| 16 | 2001:db8:0:0:490f::/80 | 2001:db8::490f:ffff:ffff:ffff |
| 17 | 2001:db8:0:0:4910::/80 | 2001:db8::4910:ffff:ffff:ffff |
| 18 | 2001:db8:0:0:4911::/80 | 2001:db8::4911:ffff:ffff:ffff |
| 19 | 2001:db8:0:0:4912::/80 | 2001:db8::4912:ffff:ffff:ffff |
| 20 | 2001:db8:0:0:4913::/80 | 2001:db8::4913:ffff:ffff:ffff |
| 21 | 2001:db8:0:0:4914::/80 | 2001:db8::4914:ffff:ffff:ffff |
| 22 | 2001:db8:0:0:4915::/80 | 2001:db8::4915:ffff:ffff:ffff |
| 23 | 2001:db8:0:0:4916::/80 | 2001:db8::4916:ffff:ffff:ffff |
| 24 | 2001:db8:0:0:4917::/80 | 2001:db8::4917:ffff:ffff:ffff |
| 25 | 2001:db8:0:0:4918::/80 | 2001:db8::4918:ffff:ffff:ffff |
| 26 | 2001:db8:0:0:4919::/80 | 2001:db8::4919:ffff:ffff:ffff |
| 27 | 2001:db8:0:0:491a::/80 | 2001:db8::491a:ffff:ffff:ffff |
| 28 | 2001:db8:0:0:491b::/80 | 2001:db8::491b:ffff:ffff:ffff |
| 29 | 2001:db8:0:0:491c::/80 | 2001:db8::491c:ffff:ffff:ffff |
| 30 | 2001:db8:0:0:491d::/80 | 2001:db8::491d:ffff:ffff:ffff |
| 31 | 2001:db8:0:0:491e::/80 | 2001:db8::491e:ffff:ffff:ffff |
| 32 | 2001:db8:0:0:491f::/80 | 2001:db8::491f:ffff:ffff:ffff |
| 33 | 2001:db8:0:0:4920::/80 | 2001:db8::4920:ffff:ffff:ffff |
| 34 | 2001:db8:0:0:4921::/80 | 2001:db8::4921:ffff:ffff:ffff |
| 35 | 2001:db8:0:0:4922::/80 | 2001:db8::4922:ffff:ffff:ffff |
| 36 | 2001:db8:0:0:4923::/80 | 2001:db8::4923:ffff:ffff:ffff |
| 37 | 2001:db8:0:0:4924::/80 | 2001:db8::4924:ffff:ffff:ffff |
| 38 | 2001:db8:0:0:4925::/80 | 2001:db8::4925:ffff:ffff:ffff |
| 39 | 2001:db8:0:0:4926::/80 | 2001:db8::4926:ffff:ffff:ffff |
| 40 | 2001:db8:0:0:4927::/80 | 2001:db8::4927:ffff:ffff:ffff |
| 41 | 2001:db8:0:0:4928::/80 | 2001:db8::4928:ffff:ffff:ffff |
| 42 | 2001:db8:0:0:4929::/80 | 2001:db8::4929:ffff:ffff:ffff |
| 43 | 2001:db8:0:0:492a::/80 | 2001:db8::492a:ffff:ffff:ffff |
| 44 | 2001:db8:0:0:492b::/80 | 2001:db8::492b:ffff:ffff:ffff |
| 45 | 2001:db8:0:0:492c::/80 | 2001:db8::492c:ffff:ffff:ffff |
| 46 | 2001:db8:0:0:492d::/80 | 2001:db8::492d:ffff:ffff:ffff |
| 47 | 2001:db8:0:0:492e::/80 | 2001:db8::492e:ffff:ffff:ffff |
| 48 | 2001:db8:0:0:492f::/80 | 2001:db8::492f:ffff:ffff:ffff |
| 49 | 2001:db8:0:0:4930::/80 | 2001:db8::4930:ffff:ffff:ffff |
| 50 | 2001:db8:0:0:4931::/80 | 2001:db8::4931:ffff:ffff:ffff |
| 51 | 2001:db8:0:0:4932::/80 | 2001:db8::4932:ffff:ffff:ffff |
| 52 | 2001:db8:0:0:4933::/80 | 2001:db8::4933:ffff:ffff:ffff |
| 53 | 2001:db8:0:0:4934::/80 | 2001:db8::4934:ffff:ffff:ffff |
| 54 | 2001:db8:0:0:4935::/80 | 2001:db8::4935:ffff:ffff:ffff |
| 55 | 2001:db8:0:0:4936::/80 | 2001:db8::4936:ffff:ffff:ffff |
| 56 | 2001:db8:0:0:4937::/80 | 2001:db8::4937:ffff:ffff:ffff |
| 57 | 2001:db8:0:0:4938::/80 | 2001:db8::4938:ffff:ffff:ffff |
| 58 | 2001:db8:0:0:4939::/80 | 2001:db8::4939:ffff:ffff:ffff |
| 59 | 2001:db8:0:0:493a::/80 | 2001:db8::493a:ffff:ffff:ffff |
| 60 | 2001:db8:0:0:493b::/80 | 2001:db8::493b:ffff:ffff:ffff |
| 61 | 2001:db8:0:0:493c::/80 | 2001:db8::493c:ffff:ffff:ffff |
| 62 | 2001:db8:0:0:493d::/80 | 2001:db8::493d:ffff:ffff:ffff |
| 63 | 2001:db8:0:0:493e::/80 | 2001:db8::493e:ffff:ffff:ffff |
| 64 | 2001:db8:0:0:493f::/80 | 2001:db8::493f:ffff:ffff:ffff |
| 65 | 2001:db8:0:0:4940::/80 | 2001:db8::4940:ffff:ffff:ffff |
| 66 | 2001:db8:0:0:4941::/80 | 2001:db8::4941:ffff:ffff:ffff |
| 67 | 2001:db8:0:0:4942::/80 | 2001:db8::4942:ffff:ffff:ffff |
| 68 | 2001:db8:0:0:4943::/80 | 2001:db8::4943:ffff:ffff:ffff |
| 69 | 2001:db8:0:0:4944::/80 | 2001:db8::4944:ffff:ffff:ffff |
| 70 | 2001:db8:0:0:4945::/80 | 2001:db8::4945:ffff:ffff:ffff |
| 71 | 2001:db8:0:0:4946::/80 | 2001:db8::4946:ffff:ffff:ffff |
| 72 | 2001:db8:0:0:4947::/80 | 2001:db8::4947:ffff:ffff:ffff |
| 73 | 2001:db8:0:0:4948::/80 | 2001:db8::4948:ffff:ffff:ffff |
| 74 | 2001:db8:0:0:4949::/80 | 2001:db8::4949:ffff:ffff:ffff |
| 75 | 2001:db8:0:0:494a::/80 | 2001:db8::494a:ffff:ffff:ffff |
| 76 | 2001:db8:0:0:494b::/80 | 2001:db8::494b:ffff:ffff:ffff |
| 77 | 2001:db8:0:0:494c::/80 | 2001:db8::494c:ffff:ffff:ffff |
| 78 | 2001:db8:0:0:494d::/80 | 2001:db8::494d:ffff:ffff:ffff |
| 79 | 2001:db8:0:0:494e::/80 | 2001:db8::494e:ffff:ffff:ffff |
| 80 | 2001:db8:0:0:494f::/80 | 2001:db8::494f:ffff:ffff:ffff |
| 81 | 2001:db8:0:0:4950::/80 | 2001:db8::4950:ffff:ffff:ffff |
| 82 | 2001:db8:0:0:4951::/80 | 2001:db8::4951:ffff:ffff:ffff |
| 83 | 2001:db8:0:0:4952::/80 | 2001:db8::4952:ffff:ffff:ffff |
| 84 | 2001:db8:0:0:4953::/80 | 2001:db8::4953:ffff:ffff:ffff |
| 85 | 2001:db8:0:0:4954::/80 | 2001:db8::4954:ffff:ffff:ffff |
| 86 | 2001:db8:0:0:4955::/80 | 2001:db8::4955:ffff:ffff:ffff |
| 87 | 2001:db8:0:0:4956::/80 | 2001:db8::4956:ffff:ffff:ffff |
| 88 | 2001:db8:0:0:4957::/80 | 2001:db8::4957:ffff:ffff:ffff |
| 89 | 2001:db8:0:0:4958::/80 | 2001:db8::4958:ffff:ffff:ffff |
| 90 | 2001:db8:0:0:4959::/80 | 2001:db8::4959:ffff:ffff:ffff |
| 91 | 2001:db8:0:0:495a::/80 | 2001:db8::495a:ffff:ffff:ffff |
| 92 | 2001:db8:0:0:495b::/80 | 2001:db8::495b:ffff:ffff:ffff |
| 93 | 2001:db8:0:0:495c::/80 | 2001:db8::495c:ffff:ffff:ffff |
| 94 | 2001:db8:0:0:495d::/80 | 2001:db8::495d:ffff:ffff:ffff |
| 95 | 2001:db8:0:0:495e::/80 | 2001:db8::495e:ffff:ffff:ffff |
| 96 | 2001:db8:0:0:495f::/80 | 2001:db8::495f:ffff:ffff:ffff |
| 97 | 2001:db8:0:0:4960::/80 | 2001:db8::4960:ffff:ffff:ffff |
| 98 | 2001:db8:0:0:4961::/80 | 2001:db8::4961:ffff:ffff:ffff |
| 99 | 2001:db8:0:0:4962::/80 | 2001:db8::4962:ffff:ffff:ffff |
| 100 | 2001:db8:0:0:4963::/80 | 2001:db8::4963:ffff:ffff:ffff |
| 101 | 2001:db8:0:0:4964::/80 | 2001:db8::4964:ffff:ffff:ffff |
| 102 | 2001:db8:0:0:4965::/80 | 2001:db8::4965:ffff:ffff:ffff |
| 103 | 2001:db8:0:0:4966::/80 | 2001:db8::4966:ffff:ffff:ffff |
| 104 | 2001:db8:0:0:4967::/80 | 2001:db8::4967:ffff:ffff:ffff |
| 105 | 2001:db8:0:0:4968::/80 | 2001:db8::4968:ffff:ffff:ffff |
| 106 | 2001:db8:0:0:4969::/80 | 2001:db8::4969:ffff:ffff:ffff |
| 107 | 2001:db8:0:0:496a::/80 | 2001:db8::496a:ffff:ffff:ffff |
| 108 | 2001:db8:0:0:496b::/80 | 2001:db8::496b:ffff:ffff:ffff |
| 109 | 2001:db8:0:0:496c::/80 | 2001:db8::496c:ffff:ffff:ffff |
| 110 | 2001:db8:0:0:496d::/80 | 2001:db8::496d:ffff:ffff:ffff |
| 111 | 2001:db8:0:0:496e::/80 | 2001:db8::496e:ffff:ffff:ffff |
| 112 | 2001:db8:0:0:496f::/80 | 2001:db8::496f:ffff:ffff:ffff |
| 113 | 2001:db8:0:0:4970::/80 | 2001:db8::4970:ffff:ffff:ffff |
| 114 | 2001:db8:0:0:4971::/80 | 2001:db8::4971:ffff:ffff:ffff |
| 115 | 2001:db8:0:0:4972::/80 | 2001:db8::4972:ffff:ffff:ffff |
| 116 | 2001:db8:0:0:4973::/80 | 2001:db8::4973:ffff:ffff:ffff |
| 117 | 2001:db8:0:0:4974::/80 | 2001:db8::4974:ffff:ffff:ffff |
| 118 | 2001:db8:0:0:4975::/80 | 2001:db8::4975:ffff:ffff:ffff |
| 119 | 2001:db8:0:0:4976::/80 | 2001:db8::4976:ffff:ffff:ffff |
| 120 | 2001:db8:0:0:4977::/80 | 2001:db8::4977:ffff:ffff:ffff |
| 121 | 2001:db8:0:0:4978::/80 | 2001:db8::4978:ffff:ffff:ffff |
| 122 | 2001:db8:0:0:4979::/80 | 2001:db8::4979:ffff:ffff:ffff |
| 123 | 2001:db8:0:0:497a::/80 | 2001:db8::497a:ffff:ffff:ffff |
| 124 | 2001:db8:0:0:497b::/80 | 2001:db8::497b:ffff:ffff:ffff |
| 125 | 2001:db8:0:0:497c::/80 | 2001:db8::497c:ffff:ffff:ffff |
| 126 | 2001:db8:0:0:497d::/80 | 2001:db8::497d:ffff:ffff:ffff |
| 127 | 2001:db8:0:0:497e::/80 | 2001:db8::497e:ffff:ffff:ffff |
| 128 | 2001:db8:0:0:497f::/80 | 2001:db8::497f:ffff:ffff:ffff |
| 129 | 2001:db8:0:0:4980::/80 | 2001:db8::4980:ffff:ffff:ffff |
| 130 | 2001:db8:0:0:4981::/80 | 2001:db8::4981:ffff:ffff:ffff |
| 131 | 2001:db8:0:0:4982::/80 | 2001:db8::4982:ffff:ffff:ffff |
| 132 | 2001:db8:0:0:4983::/80 | 2001:db8::4983:ffff:ffff:ffff |
| 133 | 2001:db8:0:0:4984::/80 | 2001:db8::4984:ffff:ffff:ffff |
| 134 | 2001:db8:0:0:4985::/80 | 2001:db8::4985:ffff:ffff:ffff |
| 135 | 2001:db8:0:0:4986::/80 | 2001:db8::4986:ffff:ffff:ffff |
| 136 | 2001:db8:0:0:4987::/80 | 2001:db8::4987:ffff:ffff:ffff |
| 137 | 2001:db8:0:0:4988::/80 | 2001:db8::4988:ffff:ffff:ffff |
| 138 | 2001:db8:0:0:4989::/80 | 2001:db8::4989:ffff:ffff:ffff |
| 139 | 2001:db8:0:0:498a::/80 | 2001:db8::498a:ffff:ffff:ffff |
| 140 | 2001:db8:0:0:498b::/80 | 2001:db8::498b:ffff:ffff:ffff |
| 141 | 2001:db8:0:0:498c::/80 | 2001:db8::498c:ffff:ffff:ffff |
| 142 | 2001:db8:0:0:498d::/80 | 2001:db8::498d:ffff:ffff:ffff |
| 143 | 2001:db8:0:0:498e::/80 | 2001:db8::498e:ffff:ffff:ffff |
| 144 | 2001:db8:0:0:498f::/80 | 2001:db8::498f:ffff:ffff:ffff |
| 145 | 2001:db8:0:0:4990::/80 | 2001:db8::4990:ffff:ffff:ffff |
| 146 | 2001:db8:0:0:4991::/80 | 2001:db8::4991:ffff:ffff:ffff |
| 147 | 2001:db8:0:0:4992::/80 | 2001:db8::4992:ffff:ffff:ffff |
| 148 | 2001:db8:0:0:4993::/80 | 2001:db8::4993:ffff:ffff:ffff |
| 149 | 2001:db8:0:0:4994::/80 | 2001:db8::4994:ffff:ffff:ffff |
| 150 | 2001:db8:0:0:4995::/80 | 2001:db8::4995:ffff:ffff:ffff |
| 151 | 2001:db8:0:0:4996::/80 | 2001:db8::4996:ffff:ffff:ffff |
| 152 | 2001:db8:0:0:4997::/80 | 2001:db8::4997:ffff:ffff:ffff |
| 153 | 2001:db8:0:0:4998::/80 | 2001:db8::4998:ffff:ffff:ffff |
| 154 | 2001:db8:0:0:4999::/80 | 2001:db8::4999:ffff:ffff:ffff |
| 155 | 2001:db8:0:0:499a::/80 | 2001:db8::499a:ffff:ffff:ffff |
| 156 | 2001:db8:0:0:499b::/80 | 2001:db8::499b:ffff:ffff:ffff |
| 157 | 2001:db8:0:0:499c::/80 | 2001:db8::499c:ffff:ffff:ffff |
| 158 | 2001:db8:0:0:499d::/80 | 2001:db8::499d:ffff:ffff:ffff |
| 159 | 2001:db8:0:0:499e::/80 | 2001:db8::499e:ffff:ffff:ffff |
| 160 | 2001:db8:0:0:499f::/80 | 2001:db8::499f:ffff:ffff:ffff |
| 161 | 2001:db8:0:0:49a0::/80 | 2001:db8::49a0:ffff:ffff:ffff |
| 162 | 2001:db8:0:0:49a1::/80 | 2001:db8::49a1:ffff:ffff:ffff |
| 163 | 2001:db8:0:0:49a2::/80 | 2001:db8::49a2:ffff:ffff:ffff |
| 164 | 2001:db8:0:0:49a3::/80 | 2001:db8::49a3:ffff:ffff:ffff |
| 165 | 2001:db8:0:0:49a4::/80 | 2001:db8::49a4:ffff:ffff:ffff |
| 166 | 2001:db8:0:0:49a5::/80 | 2001:db8::49a5:ffff:ffff:ffff |
| 167 | 2001:db8:0:0:49a6::/80 | 2001:db8::49a6:ffff:ffff:ffff |
| 168 | 2001:db8:0:0:49a7::/80 | 2001:db8::49a7:ffff:ffff:ffff |
| 169 | 2001:db8:0:0:49a8::/80 | 2001:db8::49a8:ffff:ffff:ffff |
| 170 | 2001:db8:0:0:49a9::/80 | 2001:db8::49a9:ffff:ffff:ffff |
| 171 | 2001:db8:0:0:49aa::/80 | 2001:db8::49aa:ffff:ffff:ffff |
| 172 | 2001:db8:0:0:49ab::/80 | 2001:db8::49ab:ffff:ffff:ffff |
| 173 | 2001:db8:0:0:49ac::/80 | 2001:db8::49ac:ffff:ffff:ffff |
| 174 | 2001:db8:0:0:49ad::/80 | 2001:db8::49ad:ffff:ffff:ffff |
| 175 | 2001:db8:0:0:49ae::/80 | 2001:db8::49ae:ffff:ffff:ffff |
| 176 | 2001:db8:0:0:49af::/80 | 2001:db8::49af:ffff:ffff:ffff |
| 177 | 2001:db8:0:0:49b0::/80 | 2001:db8::49b0:ffff:ffff:ffff |
| 178 | 2001:db8:0:0:49b1::/80 | 2001:db8::49b1:ffff:ffff:ffff |
| 179 | 2001:db8:0:0:49b2::/80 | 2001:db8::49b2:ffff:ffff:ffff |
| 180 | 2001:db8:0:0:49b3::/80 | 2001:db8::49b3:ffff:ffff:ffff |
| 181 | 2001:db8:0:0:49b4::/80 | 2001:db8::49b4:ffff:ffff:ffff |
| 182 | 2001:db8:0:0:49b5::/80 | 2001:db8::49b5:ffff:ffff:ffff |
| 183 | 2001:db8:0:0:49b6::/80 | 2001:db8::49b6:ffff:ffff:ffff |
| 184 | 2001:db8:0:0:49b7::/80 | 2001:db8::49b7:ffff:ffff:ffff |
| 185 | 2001:db8:0:0:49b8::/80 | 2001:db8::49b8:ffff:ffff:ffff |
| 186 | 2001:db8:0:0:49b9::/80 | 2001:db8::49b9:ffff:ffff:ffff |
| 187 | 2001:db8:0:0:49ba::/80 | 2001:db8::49ba:ffff:ffff:ffff |
| 188 | 2001:db8:0:0:49bb::/80 | 2001:db8::49bb:ffff:ffff:ffff |
| 189 | 2001:db8:0:0:49bc::/80 | 2001:db8::49bc:ffff:ffff:ffff |
| 190 | 2001:db8:0:0:49bd::/80 | 2001:db8::49bd:ffff:ffff:ffff |
| 191 | 2001:db8:0:0:49be::/80 | 2001:db8::49be:ffff:ffff:ffff |
| 192 | 2001:db8:0:0:49bf::/80 | 2001:db8::49bf:ffff:ffff:ffff |
| 193 | 2001:db8:0:0:49c0::/80 | 2001:db8::49c0:ffff:ffff:ffff |
| 194 | 2001:db8:0:0:49c1::/80 | 2001:db8::49c1:ffff:ffff:ffff |
| 195 | 2001:db8:0:0:49c2::/80 | 2001:db8::49c2:ffff:ffff:ffff |
| 196 | 2001:db8:0:0:49c3::/80 | 2001:db8::49c3:ffff:ffff:ffff |
| 197 | 2001:db8:0:0:49c4::/80 | 2001:db8::49c4:ffff:ffff:ffff |
| 198 | 2001:db8:0:0:49c5::/80 | 2001:db8::49c5:ffff:ffff:ffff |
| 199 | 2001:db8:0:0:49c6::/80 | 2001:db8::49c6:ffff:ffff:ffff |
| 200 | 2001:db8:0:0:49c7::/80 | 2001:db8::49c7:ffff:ffff:ffff |
| 201 | 2001:db8:0:0:49c8::/80 | 2001:db8::49c8:ffff:ffff:ffff |
| 202 | 2001:db8:0:0:49c9::/80 | 2001:db8::49c9:ffff:ffff:ffff |
| 203 | 2001:db8:0:0:49ca::/80 | 2001:db8::49ca:ffff:ffff:ffff |
| 204 | 2001:db8:0:0:49cb::/80 | 2001:db8::49cb:ffff:ffff:ffff |
| 205 | 2001:db8:0:0:49cc::/80 | 2001:db8::49cc:ffff:ffff:ffff |
| 206 | 2001:db8:0:0:49cd::/80 | 2001:db8::49cd:ffff:ffff:ffff |
| 207 | 2001:db8:0:0:49ce::/80 | 2001:db8::49ce:ffff:ffff:ffff |
| 208 | 2001:db8:0:0:49cf::/80 | 2001:db8::49cf:ffff:ffff:ffff |
| 209 | 2001:db8:0:0:49d0::/80 | 2001:db8::49d0:ffff:ffff:ffff |
| 210 | 2001:db8:0:0:49d1::/80 | 2001:db8::49d1:ffff:ffff:ffff |
| 211 | 2001:db8:0:0:49d2::/80 | 2001:db8::49d2:ffff:ffff:ffff |
| 212 | 2001:db8:0:0:49d3::/80 | 2001:db8::49d3:ffff:ffff:ffff |
| 213 | 2001:db8:0:0:49d4::/80 | 2001:db8::49d4:ffff:ffff:ffff |
| 214 | 2001:db8:0:0:49d5::/80 | 2001:db8::49d5:ffff:ffff:ffff |
| 215 | 2001:db8:0:0:49d6::/80 | 2001:db8::49d6:ffff:ffff:ffff |
| 216 | 2001:db8:0:0:49d7::/80 | 2001:db8::49d7:ffff:ffff:ffff |
| 217 | 2001:db8:0:0:49d8::/80 | 2001:db8::49d8:ffff:ffff:ffff |
| 218 | 2001:db8:0:0:49d9::/80 | 2001:db8::49d9:ffff:ffff:ffff |
| 219 | 2001:db8:0:0:49da::/80 | 2001:db8::49da:ffff:ffff:ffff |
| 220 | 2001:db8:0:0:49db::/80 | 2001:db8::49db:ffff:ffff:ffff |
| 221 | 2001:db8:0:0:49dc::/80 | 2001:db8::49dc:ffff:ffff:ffff |
| 222 | 2001:db8:0:0:49dd::/80 | 2001:db8::49dd:ffff:ffff:ffff |
| 223 | 2001:db8:0:0:49de::/80 | 2001:db8::49de:ffff:ffff:ffff |
| 224 | 2001:db8:0:0:49df::/80 | 2001:db8::49df:ffff:ffff:ffff |
| 225 | 2001:db8:0:0:49e0::/80 | 2001:db8::49e0:ffff:ffff:ffff |
| 226 | 2001:db8:0:0:49e1::/80 | 2001:db8::49e1:ffff:ffff:ffff |
| 227 | 2001:db8:0:0:49e2::/80 | 2001:db8::49e2:ffff:ffff:ffff |
| 228 | 2001:db8:0:0:49e3::/80 | 2001:db8::49e3:ffff:ffff:ffff |
| 229 | 2001:db8:0:0:49e4::/80 | 2001:db8::49e4:ffff:ffff:ffff |
| 230 | 2001:db8:0:0:49e5::/80 | 2001:db8::49e5:ffff:ffff:ffff |
| 231 | 2001:db8:0:0:49e6::/80 | 2001:db8::49e6:ffff:ffff:ffff |
| 232 | 2001:db8:0:0:49e7::/80 | 2001:db8::49e7:ffff:ffff:ffff |
| 233 | 2001:db8:0:0:49e8::/80 | 2001:db8::49e8:ffff:ffff:ffff |
| 234 | 2001:db8:0:0:49e9::/80 | 2001:db8::49e9:ffff:ffff:ffff |
| 235 | 2001:db8:0:0:49ea::/80 | 2001:db8::49ea:ffff:ffff:ffff |
| 236 | 2001:db8:0:0:49eb::/80 | 2001:db8::49eb:ffff:ffff:ffff |
| 237 | 2001:db8:0:0:49ec::/80 | 2001:db8::49ec:ffff:ffff:ffff |
| 238 | 2001:db8:0:0:49ed::/80 | 2001:db8::49ed:ffff:ffff:ffff |
| 239 | 2001:db8:0:0:49ee::/80 | 2001:db8::49ee:ffff:ffff:ffff |
| 240 | 2001:db8:0:0:49ef::/80 | 2001:db8::49ef:ffff:ffff:ffff |
| 241 | 2001:db8:0:0:49f0::/80 | 2001:db8::49f0:ffff:ffff:ffff |
| 242 | 2001:db8:0:0:49f1::/80 | 2001:db8::49f1:ffff:ffff:ffff |
| 243 | 2001:db8:0:0:49f2::/80 | 2001:db8::49f2:ffff:ffff:ffff |
| 244 | 2001:db8:0:0:49f3::/80 | 2001:db8::49f3:ffff:ffff:ffff |
| 245 | 2001:db8:0:0:49f4::/80 | 2001:db8::49f4:ffff:ffff:ffff |
| 246 | 2001:db8:0:0:49f5::/80 | 2001:db8::49f5:ffff:ffff:ffff |
| 247 | 2001:db8:0:0:49f6::/80 | 2001:db8::49f6:ffff:ffff:ffff |
| 248 | 2001:db8:0:0:49f7::/80 | 2001:db8::49f7:ffff:ffff:ffff |
| 249 | 2001:db8:0:0:49f8::/80 | 2001:db8::49f8:ffff:ffff:ffff |
| 250 | 2001:db8:0:0:49f9::/80 | 2001:db8::49f9:ffff:ffff:ffff |
| 251 | 2001:db8:0:0:49fa::/80 | 2001:db8::49fa:ffff:ffff:ffff |
| 252 | 2001:db8:0:0:49fb::/80 | 2001:db8::49fb:ffff:ffff:ffff |
| 253 | 2001:db8:0:0:49fc::/80 | 2001:db8::49fc:ffff:ffff:ffff |
| 254 | 2001:db8:0:0:49fd::/80 | 2001:db8::49fd:ffff:ffff:ffff |
| 255 | 2001:db8:0:0:49fe::/80 | 2001:db8::49fe:ffff:ffff:ffff |
| 256 | 2001:db8:0:0:49ff::/80 | 2001:db8::49ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |